# Uses of Enum Class
org.apache.sling.testing.mock.sling.NodeTypeMode

Packages that use NodeTypeMode
Package
Description
org.apache.sling.testing.mock.sling
Mock implementation of selected Sling APIs.

## Uses of NodeTypeMode in org.apache.sling.testing.mock.sling

Methods in org.apache.sling.testing.mock.sling that return NodeTypeMode
Modifier and Type
Method
Description
`@NotNull NodeTypeMode`
ResourceResolverType.`getNodeTypeMode()`
`static NodeTypeMode`
NodeTypeMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NodeTypeMode[]`
NodeTypeMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sling.testing.mock.sling with parameters of type NodeTypeMode
Modifier and Type
Method
Description
`void`
NodeTypeDefinitionScanner.`register(javax.jcr.Session session, List<String> nodeTypeResources, NodeTypeMode nodeTypeMode)`
Registers node types found in classpath in JCR repository.
`void`
NodeTypeDefinitionScanner.`register(javax.jcr.Session session, NodeTypeMode nodeTypeMode)`
Registers node types found in classpath in JCR repository.